Package org.eclipse.birt.chart.model.attribute.impl

# Class SizeImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.SizeImpl

All Implemented Interfaces:
  `Size`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class SizeImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements Size
An implementation of the model object ' Size'.

The following features are implemented:

- `Height`
- `Width`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Constructor
Description
`SizeImpl(double dWidth, double dHeight)`
An additional constructor that allows creation of a Size instance and initializing member variables.

## Method Summary

Modifier and Type
Method
Description
`Size`
`copyInstance()`
A convenient method to get an instance copy.
`static final Size`
`create(double dWidth, double dHeight)`
/** Convenient creation of a Size object and instantiates member variables NOTE: Manually written
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`double`
`getHeight()`
`double`
`getWidth()`
`boolean`
`isSetHeight()`
`boolean`
`isSetWidth()`
`final void`
`scale(double dScale)`
Scales the size instance as specified via the 'dScale' parameter
`final Size`
`scaleInstance(double dScale)`
Returns a new size instance with scaled members
`void`
`setHeight(double newHeight)`
`void`
`setWidth(double newWidth)`
`String`
`toString()`
`void`
`unsetHeight()`
`void`
`unsetWidth()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Constructor Details

### SizeImpl

public SizeImpl(double dWidth, double dHeight)
An additional constructor that allows creation of a Size instance and initializing member variables. Note: Manually written

Parameters:
  `dWidth` -
  `dHeight` -

## Method Details

### getHeight

public double getHeight()

Specified by:
  `getHeight` in interface `Size`
Returns:
  the value of the 'Height' attribute.
See Also:
  - `Size.isSetHeight()`
  - `Size.unsetHeight()`
  - `Size.setHeight(double)`
  - `AttributePackage.getSize_Height()`

### setHeight

public void setHeight(double newHeight)

Specified by:
  `setHeight` in interface `Size`
Parameters:
  `newHeight` - the new value of the 'Height' attribute.
See Also:
  - `Size.isSetHeight()`
  - `Size.unsetHeight()`
  - `Size.getHeight()`

### unsetHeight

public void unsetHeight()

Specified by:
  `unsetHeight` in interface `Size`
See Also:
  - `Size.isSetHeight()`
  - `Size.getHeight()`
  - `Size.setHeight(double)`

### isSetHeight

public boolean isSetHeight()

Specified by:
  `isSetHeight` in interface `Size`
Returns:
  whether the value of the 'Height' attribute is set.
See Also:
  - `Size.unsetHeight()`
  - `Size.getHeight()`
  - `Size.setHeight(double)`

### getWidth

public double getWidth()

Specified by:
  `getWidth` in interface `Size`
Returns:
  the value of the 'Width' attribute.
See Also:
  - `Size.isSetWidth()`
  - `Size.unsetWidth()`
  - `Size.setWidth(double)`
  - `AttributePackage.getSize_Width()`

### setWidth

public void setWidth(double newWidth)

Specified by:
  `setWidth` in interface `Size`
Parameters:
  `newWidth` - the new value of the 'Width' attribute.
See Also:
  - `Size.isSetWidth()`
  - `Size.unsetWidth()`
  - `Size.getWidth()`

### unsetWidth

public void unsetWidth()

Specified by:
  `unsetWidth` in interface `Size`
See Also:
  - `Size.isSetWidth()`
  - `Size.getWidth()`
  - `Size.setWidth(double)`

### isSetWidth

public boolean isSetWidth()

Specified by:
  `isSetWidth` in interface `Size`
Returns:
  whether the value of the 'Width' attribute is set.
See Also:
  - `Size.unsetWidth()`
  - `Size.getWidth()`
  - `Size.setWidth(double)`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static final Size create(double dWidth, double dHeight)
/** Convenient creation of a Size object and instantiates member variables NOTE: Manually written

Parameters:
  `dWidth` -
  `dHeight` -
Returns:

### scale

public final void scale(double dScale)
Description copied from interface: `Size`
Scales the size instance as specified via the 'dScale' parameter

Specified by:
  `scale` in interface `Size`
Parameters:
  `dScale` -

### scaleInstance

public final Size scaleInstance(double dScale)
Description copied from interface: `Size`
Returns a new size instance with scaled members

Specified by:
  `scaleInstance` in interface `Size`
Parameters:
  `dScale` - The scaling factor
Returns:
  A new scaled instance

### copyInstance

public Size copyInstance()
A convenient method to get an instance copy. This is much faster than the ECoreUtil.copy().

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Size`